<?php
// Einbinden der GREYHOUND PHP API (GUI):
require_once 'ghgui/ghgui.php';

// Ordner "core" zum Autoloader hinzufügen:
GhGui::addAutoLoadPath(dirname(__FILE__) . '/core');

// Webseite erzeugen:
$page = new GhGuiExtensionPreviewLinePage('Vorschauzeile');

// Formular erzeugen:
$form = new GhGuiForm();
$page->addComponent($form);

// Daten des aktuellen Elements:
$email = trim(GhCoreGlobals::getValue('email'));
$search = trim(GhCoreGlobals::getValue('search'));

if(strlen($search) == 0)
  $search = $email;

// Suchfeld:
$searchField = new GhGuiTextBox('search');
$searchField->setValue($search);
$form->addComponent($searchField);

// Formular für Detailfenster:
$detailsForm = new GhGuiForm('greyhound:ExecExtension', 'get');
$detailsForm->addHiddenField('Identifier', 'GhExampleWindow');
$detailsForm->setStyle('display', 'none'); // Scrollbar vermeiden
$detailsSearch = $detailsForm->addHiddenField('search', $search);
$page->addComponent($detailsForm);

// Button für Detailfenster:
$detailsButton = new GhGuiButton('Details', false);
$detailsButton->addEventHandler(GhGuiEvent::EVENT_CLICK, new GhGuiEventJavascript('function(){' .
  $detailsSearch->getJavascriptWidgetVariable() . '.value=' . $searchField->getJavascriptWidgetVariable() . '.getValue();' .
  $detailsForm->getJavascriptWidgetVariable() . '.submit();' .
  '}'));
$detailsButton->setStyle('margin', '0px 4px');
$form->addComponent($detailsButton);

// Datenausgabe:
$output = new GhGuiText();
$output->setStyle('display', 'inline');
$form->addComponent($output);

if(strlen($search) > 0)
{
  // Bestelldaten abrufen:
  $connection = new GhExampleConnection();
  $orders = $connection->searchOrders($search);

  // Bestell-/Kundendaten ausgeben, sofern welche vorliegen:
  if(is_array($orders) && !empty($orders))
  {
    $order = $orders[0];
    $output->addText('<strong>KdNr:</strong> ' . $order['customerNo']);

    if(isset($order['customer']) && $order['customer'])
      $output->addText(', <strong>Name:</strong> ' . $order['customer']['firstname'] . ' ' . $order['customer']['lastname']);

    $output->addText(', <strong>BestNr:</strong> ' . $order['orderNo'] .
      ', <strong>Datum:</strong> ' . date('d.m.Y H:i:s', strtotime($order['orderDate'])) .
      ', <strong>Betrag:</strong> ' . str_replace('.', ',', sprintf('%.02f', $order['orderTotal'])) . ' &euro;' .
      ', <strong>Status:</strong> ' . $order['state']);
  }
  else
    $output->addText('Keine Daten gefunden.');
}

// Webseite anzeigen:
$page->show();
